# Uses of Interface
ch.qos.logback.core.Appender

Packages that use Appender
Package
Description
ch.qos.logback.access.jetty
This is logback access' implementation for Jetty 8.
ch.qos.logback.access.net
ch.qos.logback.access.net.server
Provides a robust appender that serves logging events to remote clients
ch.qos.logback.access.sift
ch.qos.logback.access.spi
Contains the core classes of logback access.
ch.qos.logback.access.tomcat
This is logback access' implementation for Tomcat.
ch.qos.logback.classic
Contains logback classic main classes.
ch.qos.logback.classic.net
Contains classes used to log through a network
ch.qos.logback.classic.net.server
Provides a robust logging server
ch.qos.logback.classic.sift
ch.qos.logback.core
Contains the main classes of logback core.
ch.qos.logback.core.helpers
Helpers package.
ch.qos.logback.core.net
Contains the base classes used by logback to log to remote destinations.
ch.qos.logback.core.net.server
Contains the base classes used by logback to serve logging events to remote peers.
ch.qos.logback.core.read
ch.qos.logback.core.rolling
Implements various file rolling policies.
ch.qos.logback.core.sift
ch.qos.logback.core.spi
Contains core functionnalities of logback, such as

## Uses of Appender in ch.qos.logback.access.jetty

Methods in ch.qos.logback.access.jetty that return Appender
Modifier and Type
Method
Description
`Appender<IAccessEvent>`
RequestLogImpl.`getAppender(String name)`
Methods in ch.qos.logback.access.jetty that return types with arguments of type Appender
Modifier and Type
Method
Description
`Iterator<Appender<IAccessEvent>>`
RequestLogImpl.`iteratorForAppenders()`
Methods in ch.qos.logback.access.jetty with parameters of type Appender
Modifier and Type
Method
Description
`void`
RequestLogImpl.`addAppender(Appender<IAccessEvent> newAppender)`
`boolean`
RequestLogImpl.`detachAppender(Appender<IAccessEvent> appender)`
`boolean`
RequestLogImpl.`isAttached(Appender<IAccessEvent> appender)`

## Uses of Appender in ch.qos.logback.access.net

Classes in ch.qos.logback.access.net that implement Appender
Modifier and Type
Class
Description
`class`
`SMTPAppender`
Send an e-mail when a specific access event occurs, typically when certain pages are accessed.
`class`
`SocketAppender`
Sends `IAccessEvent` objects to a remote a log server, usually a `SocketNode`.
`class`
`SSLSocketAppender`
A `SocketAppender` that supports SSL.

## Uses of Appender in ch.qos.logback.access.net.server

Classes in ch.qos.logback.access.net.server that implement Appender
Modifier and Type
Class
Description
`class`
`ServerSocketAppender`
An appender that listens on a TCP port for connections from remote loggers.
`class`
`SSLServerSocketAppender`
An appender that listens on a TCP port for connections from remote loggers.

## Uses of Appender in ch.qos.logback.access.sift

Classes in ch.qos.logback.access.sift that implement Appender
Modifier and Type
Class
Description
`class`
`SiftingAppender`
This appender can contains other appenders which it can build dynamically depending on MDC values.
Methods in ch.qos.logback.access.sift that return Appender
Modifier and Type
Method
Description
`Appender<IAccessEvent>`
SiftingJoranConfigurator.`getAppender()`

## Uses of Appender in ch.qos.logback.access.spi

Methods in ch.qos.logback.access.spi that return Appender
Modifier and Type
Method
Description
`Appender<IAccessEvent>`
AccessContext.`getAppender(String name)`
Methods in ch.qos.logback.access.spi that return types with arguments of type Appender
Modifier and Type
Method
Description
`Iterator<Appender<IAccessEvent>>`
AccessContext.`iteratorForAppenders()`
Methods in ch.qos.logback.access.spi with parameters of type Appender
Modifier and Type
Method
Description
`void`
AccessContext.`addAppender(Appender<IAccessEvent> newAppender)`
`boolean`
AccessContext.`detachAppender(Appender<IAccessEvent> appender)`
`boolean`
AccessContext.`isAttached(Appender<IAccessEvent> appender)`

## Uses of Appender in ch.qos.logback.access.tomcat

Methods in ch.qos.logback.access.tomcat that return Appender
Modifier and Type
Method
Description
`Appender<IAccessEvent>`
LogbackValve.`getAppender(String name)`
Methods in ch.qos.logback.access.tomcat that return types with arguments of type Appender
Modifier and Type
Method
Description
`Iterator<Appender<IAccessEvent>>`
LogbackValve.`iteratorForAppenders()`
Methods in ch.qos.logback.access.tomcat with parameters of type Appender
Modifier and Type
Method
Description
`void`
LogbackValve.`addAppender(Appender<IAccessEvent> newAppender)`
`boolean`
LogbackValve.`detachAppender(Appender<IAccessEvent> appender)`
`boolean`
LogbackValve.`isAttached(Appender<IAccessEvent> appender)`

## Uses of Appender in ch.qos.logback.classic

Classes in ch.qos.logback.classic that implement Appender
Modifier and Type
Class
Description
`class`
`AsyncAppender`
In order to optimize performance this appender deems events of level TRACE, DEBUG and INFO as discardable.
Methods in ch.qos.logback.classic that return Appender
Modifier and Type
Method
Description
`Appender<ILoggingEvent>`
Logger.`getAppender(String name)`
Methods in ch.qos.logback.classic that return types with arguments of type Appender
Modifier and Type
Method
Description
`Iterator<Appender<ILoggingEvent>>`
Logger.`iteratorForAppenders()`
Methods in ch.qos.logback.classic with parameters of type Appender
Modifier and Type
Method
Description
`void`
Logger.`addAppender(Appender<ILoggingEvent> newAppender)`
`boolean`
Logger.`detachAppender(Appender<ILoggingEvent> appender)`
Remove the appender passed as parameter form the list of appenders.
`boolean`
Logger.`isAttached(Appender<ILoggingEvent> appender)`

## Uses of Appender in ch.qos.logback.classic.net

Classes in ch.qos.logback.classic.net that implement Appender
Modifier and Type
Class
Description
`class`
`SMTPAppender`
Send an e-mail when a specific logging event occurs, typically on errors or fatal errors.
`class`
`SocketAppender`
Sends `ILoggingEvent` objects to a remote a log server, usually a `SocketNode`.
`class`
`SSLSocketAppender`
A `SocketAppender` that supports SSL.
`class`
`SyslogAppender`
This appender can be used to send messages to a remote syslog daemon.

## Uses of Appender in ch.qos.logback.classic.net.server

Classes in ch.qos.logback.classic.net.server that implement Appender
Modifier and Type
Class
Description
`class`
`ServerSocketAppender`
An appender that listens on a TCP port for connections from remote loggers.
`class`
`SSLServerSocketAppender`
A `ServerSocketAppender` that supports SSL.

## Uses of Appender in ch.qos.logback.classic.sift

Classes in ch.qos.logback.classic.sift that implement Appender
Modifier and Type
Class
Description
`class`
`SiftingAppender`
This appender can contains other appenders which it can build dynamically depending on MDC values.
Methods in ch.qos.logback.classic.sift that return Appender
Modifier and Type
Method
Description
`Appender<ILoggingEvent>`
SiftingJoranConfigurator.`getAppender()`

## Uses of Appender in ch.qos.logback.core

Classes in ch.qos.logback.core that implement Appender
Modifier and Type
Class
Description
`class`
`AppenderBase<E>`
Sets a skeleton implementation for appenders.
`class`
`AsyncAppenderBase<E>`
This appender and derived classes, log events asynchronously.
`class`
`ConsoleAppender<E>`
ConsoleAppender appends log events to `System.out` or `System.err` using a layout specified by the user.
`class`
`FileAppender<E>`
FileAppender appends log events to a file.
`class`
`OutputStreamAppender<E>`
OutputStreamAppender appends events to a `OutputStream`.
`class`
`UnsynchronizedAppenderBase<E>`
Similar to AppenderBase except that derived appenders need to handle thread synchronization on their own.
Methods in ch.qos.logback.core that return Appender
Modifier and Type
Method
Description
`Appender<E>`
AsyncAppenderBase.`getAppender(String name)`
Methods in ch.qos.logback.core that return types with arguments of type Appender
Modifier and Type
Method
Description
`Iterator<Appender<E>>`
AsyncAppenderBase.`iteratorForAppenders()`
Methods in ch.qos.logback.core with parameters of type Appender
Modifier and Type
Method
Description
`void`
AsyncAppenderBase.`addAppender(Appender<E> newAppender)`
`boolean`
AsyncAppenderBase.`detachAppender(Appender<E> eAppender)`
`boolean`
AsyncAppenderBase.`isAttached(Appender<E> eAppender)`

## Uses of Appender in ch.qos.logback.core.helpers

Classes in ch.qos.logback.core.helpers that implement Appender
Modifier and Type
Class
Description
`final class`
`NOPAppender<E>`

## Uses of Appender in ch.qos.logback.core.net

Classes in ch.qos.logback.core.net that implement Appender
Modifier and Type
Class
Description
`class`
`AbstractSocketAppender<E>`
An abstract base for module specific `SocketAppender` implementations in other logback modules.
`class`
`AbstractSSLSocketAppender<E>`
An abstract base for module specific `SSLSocketAppender` implementations located in other logback modules.
`class`
`SMTPAppenderBase<E>`
An abstract class that provides support for sending events to an email address.
`class`
`SyslogAppenderBase<E>`
Base class for SyslogAppender.

## Uses of Appender in ch.qos.logback.core.net.server

Classes in ch.qos.logback.core.net.server that implement Appender
Modifier and Type
Class
Description
`class`
`AbstractServerSocketAppender<E>`
This is the super class for module specific ServerSocketAppender implementations can derive from.
`class`
`SSLServerSocketAppenderBase<E>`
This is the base class for module specific ServerSocketAppender implementations.

## Uses of Appender in ch.qos.logback.core.read

Classes in ch.qos.logback.core.read that implement Appender
Modifier and Type
Class
Description
`class`
`CyclicBufferAppender<E>`
CyclicBufferAppender stores events in a cyclic buffer of user-specified size.
`class`
`ListAppender<E>`

## Uses of Appender in ch.qos.logback.core.rolling

Classes in ch.qos.logback.core.rolling that implement Appender
Modifier and Type
Class
Description
`class`
`RollingFileAppender<E>`
`RollingFileAppender` extends `FileAppender` to backup the log files depending on `RollingPolicy` and `TriggeringPolicy`.

## Uses of Appender in ch.qos.logback.core.sift

Classes in ch.qos.logback.core.sift that implement Appender
Modifier and Type
Class
Description
`class`
`SiftingAppenderBase<E>`
This appender serves as the base class for actual SiftingAppenders implemented by the logback-classic and logback-access modules.
Methods in ch.qos.logback.core.sift that return Appender
Modifier and Type
Method
Description
`Appender<E>`
AbstractAppenderFactoryUsingJoran.`buildAppender(Context context, String discriminatingValue)`
`Appender<E>`
AppenderFactory.`buildAppender(Context context, String discriminatingValue)`
`protected Appender<E>`
AppenderTracker.`buildComponent(String key)`
`abstract Appender<E>`
SiftingJoranConfiguratorBase.`getAppender()`
Methods in ch.qos.logback.core.sift with parameters of type Appender
Modifier and Type
Method
Description
`protected boolean`
AppenderTracker.`isComponentStale(Appender<E> appender)`
`protected void`
AppenderTracker.`processPriorToRemoval(Appender<E> component)`

## Uses of Appender in ch.qos.logback.core.spi

Methods in ch.qos.logback.core.spi that return Appender
Modifier and Type
Method
Description
`Appender<E>`
AppenderAttachable.`getAppender(String name)`
Get an appender by name.
`Appender<E>`
AppenderAttachableImpl.`getAppender(String name)`
Look for an attached appender named as `name`.
Methods in ch.qos.logback.core.spi that return types with arguments of type Appender
Modifier and Type
Method
Description
`Iterator<Appender<E>>`
AppenderAttachable.`iteratorForAppenders()`
Get an iterator for appenders contained in the parent object.
`Iterator<Appender<E>>`
AppenderAttachableImpl.`iteratorForAppenders()`
Get all attached appenders as an Enumeration.
Methods in ch.qos.logback.core.spi with parameters of type Appender
Modifier and Type
Method
Description
`void`
AppenderAttachable.`addAppender(Appender<E> newAppender)`
Add an appender.
`void`
AppenderAttachableImpl.`addAppender(Appender<E> newAppender)`
Attach an appender.
`boolean`
AppenderAttachable.`detachAppender(Appender<E> appender)`
Detach the appender passed as parameter from the list of appenders.
`boolean`
AppenderAttachableImpl.`detachAppender(Appender<E> appender)`
Remove the appender passed as parameter form the list of attached appenders.
`boolean`
AppenderAttachable.`isAttached(Appender<E> appender)`
Returns `true` if the specified appender is in list of attached attached, `false` otherwise.
`boolean`
AppenderAttachableImpl.`isAttached(Appender<E> appender)`
Returns `true` if the specified appender is in the list of attached appenders, `false` otherwise.